Imports Microsoft.VisualBasic
Imports System.ComponentModel

Namespace SilverTwitMSDN
	Public Class OOBStats
		Implements INotifyPropertyChanged
		Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

		Private isNetworkAvailable_Renamed As Boolean
		Private runningModeMessage_Renamed As String
		Private networkAvailabilityStatus_Renamed As String
		Private networkIsNotAvailableOpacity_Renamed As Double
		Private networkIsAvailableOpacity_Renamed As Double
		Private installStateMessage_Renamed As String

		Protected Sub FirePropertyChanged(ByVal propertyName As String)
			Dim handler = PropertyChangedEvent
			If handler IsNot Nothing Then
				handler(Me, New PropertyChangedEventArgs(propertyName))
			End If
		End Sub

		Public Property NetworkAvailabilityStatus() As String
			Get
				Return networkAvailabilityStatus_Renamed
			End Get
			Set(ByVal value As String)
				networkAvailabilityStatus_Renamed = value
				FirePropertyChanged("NetworkAvailabilityStatus")
			End Set
		End Property

		Public Property NetworkIsNotAvailableOpacity() As Double
			Get
				Return networkIsNotAvailableOpacity_Renamed
			End Get
			Set(ByVal value As Double)
				networkIsNotAvailableOpacity_Renamed = value
				FirePropertyChanged("NetworkIsNotAvailableOpacity")
			End Set
		End Property

		Public Property NetworkIsAvailableOpacity() As Double
			Get
				Return networkIsAvailableOpacity_Renamed
			End Get
			Set(ByVal value As Double)
				networkIsAvailableOpacity_Renamed = value
				FirePropertyChanged("NetworkIsAvailableOpacity")
			End Set
		End Property

		Public Property IsNetworkAvailable() As Boolean
			Get
				Return isNetworkAvailable_Renamed
			End Get
			Set(ByVal value As Boolean)
				isNetworkAvailable_Renamed = value
				FirePropertyChanged("IsNetworkAvailable")
				NetworkIsAvailableOpacity = (If(isNetworkAvailable_Renamed, 1, .25))
				NetworkIsNotAvailableOpacity = (If(isNetworkAvailable_Renamed, .25, 1))
				NetworkAvailabilityStatus = (If(isNetworkAvailable_Renamed, "Network Detected", "Network Not Detected"))
			End Set
		End Property

		Public Property RunningModeMessage() As String
			Get
				Return runningModeMessage_Renamed
			End Get
			Set(ByVal value As String)
				runningModeMessage_Renamed = value
				FirePropertyChanged("RunningModeMessage")
			End Set
		End Property

		Public Property InstallStateMessage() As String
			Get
				Return installStateMessage_Renamed
			End Get
			Set(ByVal value As String)
				installStateMessage_Renamed = value
				FirePropertyChanged("InstallStateMessage")
			End Set
		End Property
	End Class
End Namespace